


# Program to produce Figure 3.1(a)
# Note that here we use the MATLAB elementwise
# operations, '.*' and './'
#___________________________________________________________
      data <- c(29, 16, 17, 4, 3, 9, 4, 5, 1, 1, 1, 3, 7)
      mu.vec <- seq(0.1, 0.9, 0.01)
      theta.vec <- seq(0.1, 1, 0.01)
      ncols <- length(mu.vec)
      nrows <- length(theta.vec)
      mu <- matrix(mu.vec, nrow = nrows, ncol = ncols, byrow = T)
      theta <- matrix(theta.vec, nrow = nrows, ncol = ncols, byrow = F)
             # mu and theta are now matrices
             # of the same dimensions : the
             # rows of m are copies of the
             # vector (0.1, 0.11,...,0.9), and
             # the columns of theta are copies
             # of the vector (0, 0.1,...,1)'.
      loglik <- log(mu) * data[1]
      p <- mu
      s <- p
      for(i in 2:12) {
                p <- p * (1 - (mu + theta)/(1 + (i - 1) * theta))
                s <- s + p      # recursive specification of the
                loglik <- loglik + log(p) * data[i]
                       # beta-geometric probabilities
      }
      p <- matrix(1,nrows,ncols) - s
      loglik <- loglik + log(p) * data[13]    # completes log-likelihood
      contour(mu.vec, theta.vec, t(loglik), nlevels = 200, labex = 0,
              xlab = "", ylab = "")

