divide <- 
function(theta1, theta2, pie)
{
#
# DIVIDE conducts the data division for the EM algorithm approach
#   to fitting a mixture of two Poisson distributions.
#   Called by the program to fit the mixture by the EM algorithm.
#   global variables are 'data', and 'k'.
#
#
	p1 <- rep(0,k)
	p2 <- rep(0,k)
	data1 <- rep(0,k)
	p1[1] <- exp( - theta1)
	p2[1] <- exp( - theta2)
	for(i in 1:(k - 1)) {
		p1[i + 1] <- p1[i] * theta1	# note that we don't need the
		p2[i + 1] <- p2[i] * theta2	# 'i' divisor here
		data1[i] <- data[i]/(1 + (1/pie - 1) * p2[i]/p1[i])
	}
	data1[k] <- data[k]/(1 + (1/pie - 1) * p2[k]/p1[k])
	data1
}
