ecolik <-
function(x)
{
#
# ECOLIK constructs the negative log-likelihood corresponding to
#   a simple model for the annual survival of wild animals.
#   The data are simulated elsewhere, and introduced via the global
#   vector 'data'. The components of the vector 'x' are the model
#   probabilities.
#
	loglik <- sum(data[1:4]) * log(x[1]) + (data[2] + data[3] + data[4]) * 
		log(x[2] * (1 - x[3])) + data[1] * log(1 - x[2]) + (data[3] + 2 *
		data[4]) * log(x[3]) + data[5] * log(1 - x[1] * (1 - x[2] * x[3
		]^3))
 - loglik
}
