# Program to plot a kernel density estimate for a sample in 'data'.
# 'k1' determines smoothing used in the kernel.
# Calls the function KERNEL.
#________________________________________________________________________
	k1 <- 1
	n1 <- length(data)
	range <- max(data) - min(data)
	mn <- min(data) - range/4
	mx <- max(data) + range/4	# extends the range of 'x-values'
	range <- range * 1.5	# for kernel plotting
	y <- rep(0, n1)
	f <- rep(0, n1)
	for(i in 1:n1) {
# sets up the grid of y-values
		y[i] <- mn + (i * range)/n1	# and forms the kernel estimate
		f[i] <- kernel(y[i], data, k1)	# at each point, ready for 
#plotting
	}
	X11()
	loca <- hist(data, nclass = 10)	# we scale before we
	width <- diff(loca)	# plot histogram and kernel
	scale <- n1 * width[1]	# estimates on the same graph.
	plot(y, f * scale, type = "l")	# We do this by scaling up the
# kernel estimate by the area of
# the histogram, in 'scale'
