pois0 <-
function(x)
{
#
#POIS0 forms the negative log-likelihood for the
#  zero-inflated Poisson model, and a particular
#  data set.
#
	data <- c(314, 48, 20, 7, 5, 2, 2, 1, 2, 1)
	n <- length(data)
	w <- x[1]
	lam <- x[2]
	p <- rep(0, n)
	p[1] <- w + (1 - w) * exp( - lam)
	p[2] <- (1 - w) * exp( - lam) * lam
	for(k in 2:(n - 1)) {
		p[k + 1] <- (p[k] * lam)/k
	}
	p <- log(p)
 - sum(data * p)
}
