score <-
function(x)
{
#
# SCORE calculates the score test statistic
#  of w=0, in the zero-inflated Poisson distribution. The likelihood
#  is specified by the function POIS0
#  Calls GRAD and HESSIAN.
#
	H <- hessian(pois0, x)	# As the second component of g is
	g <- grad(pois0, x)	# zero, we do not have to extract
	s <- t(as.matrix(g)) %*% solve(H) %*% as.matrix(g)	
	# the relevant part of the inverse
# Hessian.
}
