biv <- 
function(arg)
{
#
# BIV calculates the joint pdf, for the Metropolis selection probability
# of Equation (7.14). The three parameters, 'n', 'alpha' and 'beta', are
# global variables.
#_______________________________________________________________________
	x <- arg[1]
	y <- arg[2]
	z <- (y^(x + alpha - 1)) * ((1 - y)^(n - x + beta - 1))
	if((n - x) <= 0) {
		fact.nx <- 1
	}
	else {
		fact.nx <- prod(1:(n - x))
	}
	if(x <= 0) {
		fact.x <- 1
	}
	else {
		fact.x <- prod(1:x)
	}
	z/(fact.nx * fact.x)	# MATLAB function for factorial
}
