cauchy <-
function(x)
{
# CAUCHY calculates minus the Cauchy log-likelihood.
#  'alpha', 'beta' are the standard Cauchy parameters;
#  'data' are global, and set in the calling program.
#
	alpha <- x[1]
	beta <- x[2]
	alphv <- rep(alpha, length(data))
	datashift <- (data - alphv)^2
	beta2v <- rep(beta^2, length(data))
	arg <- log(beta2v + datashift)
	loglik <- length(data) * log(beta) - sum(arg)
 - loglik
}
