censor <-
function(lambda)
{
#
# CENSOR calculates the negative log-likelihood for
#   data, including right-censoring, from an exponential distribution.
#   'lambda' is the exponential distribution parameter;
#   the uncensored and censored data are respectively in the
#   global vectors, 'uncen' and 'cen', established in the calling program.
#
	loglik <- length(uncen) * log(lambda) - lambda * sum(uncen) - lambda * 
		sum(cen)
 - loglik
}
