direct <-
function(x)
{
#
# DIRECT calculates search direction for use in steepest ascent method
#   the direction is determined by the vectors theta and g.
#   What is varying is the scalar quantity x.
#   global variables are y and theta.
#   Calls CAUCHY.
#
        g <- grad(cauchy, y)
        theta <- y - x * g      # this corresponds to Equation (3.2), but
        cauchy(theta)           # we are now minimising.
}
