# Program for a Metropolis Hastings analysis for Example 7.1, with fixed
# n. We sample after m cycles, and repeat k times.
# n, alpha and beta are the known parameters of the bivariate distribution
# and are global variables.
# Calls the function BIV.
#_________________________________________________________________________
	m <- 50
	k <- 50
	n <- 21
	alpha <- 1
	beta <- 2
	x <- rep(0, k)
	y <- rep(0, k)
	for(j in 1:k) {
		b <- c(n/3, 1/3)
		for(i in 2:m) {
			a <- c(trunc((n + 1) * runif(1)), runif(1))
			alpha <- min(1, biv(a)/biv(b))
			if(alpha > runif(1))
				b <- a
		}
		x[j] <- b[1]
		y[j] <- b[2]
	}
	X11()
	hist(x)
	X11()
	hist(y)
