norml <-
function(y1, mu, sigma)
{
#
#NORML calculates the ordinates of a
#  normal, N(mu, sigma^2), pdf, given a grid of 'x-values', in
#  y1, and the value of the mean, 'mu' and the std. deviation
#  'sigma'.
#
	(exp((-0.5 * (y1 - mu)^2)/sigma^2))/(sigma * sqrt(2 * pi))
}
