# Program to generate and plot a set of data for use with the cubic spline
# program; the data are a simple random disturbance added to a parabola
# the y- coordinates of the points are a global variable, needed by
# the function, 'cvsearch'. This program is
# designed to be followed directly by the 'cubicspline' program.
#_________________________________________________________________________
	t <- seq(0, 10, 0.5)
	m <- length(t)
	set.seed(8)	# sets the seed for the
	Y <- 1 + 9 * t - t * t + 12 * runif(m)	# random number generator
	X11()
	plot(t, Y)
