poissim <-
function(lambda, n)
{
#
# POISSIM simulates n independent Po(lambda) random variables
#
	y <- rep(0, n)
	e1 <- exp( - lambda)
	z <- runif(n)
	for(i in 1:n) {
		k <- 0
		u <- z[i]
		while(u > e1) {
			u <- u * runif(1)
			k <- k + 1
		}
		y[i] <- k
	}
	y
}
