steep <-
function(y)
{
#
# STEEP conducts steepest ascent for the Cauchy likelihood
#   global variables are :
#   y : the point at which the search is carried out
#   theta : the parameter vector.
#   Calls DIRECT, NR1.
#
	step <- c(1, 1)	# step value to start 'while' command
	x <- 0.5	# starting value for the one-dimensional
	while(vecnorm(step) > 0.05) {
# Newton Raphson search
		nr1(direct, x)	# finds the optimal step
		step <- y - theta	# corresponds to Equation (3.2) at
		y <- theta	# convergence
                print(y)
	}
	y
}
